| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
Digikam::CategorizedItemModel Class Reference
Inheritance diagram for Digikam::CategorizedItemModel:

## Public Types
enum | ExtraRoles { ItemOrderRole = Qt::UserRole + 1 }

## Public Member Functions
| CategorizedItemModel (QObject *const parent=nullptr)
QStandardItem * | addItem (const QString &text, const QIcon &decoration, const QVariant &category, const QVariant &categorySorting=QVariant())
QStandardItem * | addItem (const QString &text, const QVariant &category, const QVariant &categorySorting=QVariant())
virtual DCategorizedSortFilterProxyModel * | createFilterModel ()

## Member Enumeration Documentation

## ◆ ExtraRoles

enum Digikam::CategorizedItemModel::ExtraRoles

Enumerator
ItemOrderRole | This role, per default, reflects the order in which items are added.